Subject: RE: on NAT-PT

From: <[email-masked]>
Date: Mon, 2 Dec 2002 18:58:58 +0200

Hi again, Margaret!

Trying to clarify this issue a bit more:
- 3G phone can have several simultaneous PDP contexts activated (those PDP contexts can be IPv4 or IPv6)
- PDP context usage depends on used applications (and their QoS requirements)
- in the case the user is using an IMS service, IPv6 PDP context is always used; in the IMS, both user data and the signalling traffic is IPv6; dual stack phone can naturally connect to IMS, but only using IPv6 PDP contexts, IPv4 PDP contexts can not be used when connecting to an IMS service.
  - other services than IMS services (e.g. web browsing) can be simultaneously used, using IPv4 or IPv6 PDP contexts

Cheers,
	-Juha-

-----Original Message-----
From: ext Margaret Wasserman [mailto:[email-masked]]
Sent: 02 December, 2002 18:31
To: Wiljakka Juha (NMP/Tampere)
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: RE: on NAT-PT

Maybe I'm confused...

Juha wrote:
>JW: Yes, IMS part of the 3GPP Release 5 network is IPv6-only (as discussed 
>several times also on this mailing list). It is a good question, how 
>probable the case that a Rel5 IMS UE needs to connect to an IPv4 node 
>(outside the IMS domain) is, but for the sake of completeness that case 
>needs to be documented in 3GPP scenarios & analysis.

Will the IMS subsystem have separate phones from the rest of 3G?  Or
could a dual-stack phone access the IMS subsystem, and also create
IPv4 PDP contexts to contact IPv4 nodes and services?

Karim wrote:
>The 3g link-layer (pdp context) cannot support ipv4 and ipv6
>together, so a phone having an ipv6 pdp context needs application proxies
>and translators to communicate with ipv4 hosts.

This does not match my understanding.  I thought that a 3G phone
could open several simultaneous PDP contexts, and that a dual
stack phone could have simultaneous IPv4 and IPv6 PDP contexts.
Am I mistaken?

Margaret